const files = [
  {
    title: 'Beautiful Girl',
    by: 'John Doe',
    source:
      'https://cdn.pixabay.com/photo/2020/04/16/09/57/watercolor-5049980_1280.jpg',
  },
  {
    title: 'Wolf',
    by: 'Sarah Doe',
    source:
      '	https://cdn.pixabay.com/photo/2018/07/18/15/43/animal-3546613_1280.jpg',
  },
  {
    title: 'Man Face',
    by: 'Alex Kuzmin',
    source:
      '	https://cdn.pixabay.com/photo/2019/03/02/16/26/man-4030112_1280.jpg',
  },
  {
    title: 'Bird',
    by: 'Felix Doe',
    source:
      '	https://cdn.pixabay.com/photo/2022/10/31/02/44/chinese-painting-7558715_1280.jpg',
  },
  {
    title: 'Landscape',
    by: 'Kate Doe',
    source:
      '	https://cdn.pixabay.com/photo/2017/08/22/18/03/watercolour-2669975_1280.jpg',
  },
  {
    title: 'Scene at Dusk',
    by: 'Kamil Aszkowski',
    source:
      'https://cdn.pixabay.com/photo/2015/03/26/15/20/art-692876_1280.jpg',
  },
  {
    title: 'Garden',
    by: 'Matthew James',
    source:
      'https://cdn.pixabay.com/photo/2015/08/30/00/38/oil-paint-913745_1280.jpg',
  },
  {
    title: 'Old Man',
    by: 'William James',
    source:
      'https://cdn.pixabay.com/photo/2017/01/22/00/18/the-old-man-1998604_1280.jpg',
  },
  {
    title: 'Flowers',
    by: 'Paula Lee',
    source:
      '	https://cdn.pixabay.com/photo/2017/07/03/18/36/thistles-2468602_1280.jpg',
  },
  {
    title: 'Buildings',
    by: 'Christopher Johnson',
    source:
      'https://cdn.pixabay.com/photo/2015/03/30/10/59/oil-painting-698266_1280.jpg',
  },
  {
    title: 'Girl Woman Cloud',
    by: 'Zachary Johnson',
    source:
      'https://cdn.pixabay.com/photo/2022/04/13/16/46/girl-7130668_1280.png',
  },
  {
    title: 'Tree',
    by: 'Oliver James',
    source:
      'https://cdn.pixabay.com/photo/2021/09/07/20/33/tree-6604898_1280.jpg',
  },
];

export default function Painting() {
  return (
    <div className='flex flex-col items-center justify-center bg-muted p-6 md:p-10'>
      <ul
        role='list'
        className='grid grid-cols-2 gap-x-4 gap-y-8 sm:grid-cols-3 sm:gap-x-6 lg:grid-cols-4 xl:gap-x-8'
      >
        {files.map((file) => (
          <li key={file.source} className='relative'>
            <div className='group overflow-hidden rounded-lg bg-gray-100 focus-within:ring-2 focus-within:ring-violet-500 focus-within:ring-offset-2 focus-within:ring-offset-gray-100'>
              <img
                alt=''
                src={file.source}
                className='pointer-events-none aspect-[10/7] object-cover group-hover:opacity-75'
              />
              <button
                type='button'
                className='absolute inset-0 focus:outline-none'
              >
                <span className='sr-only'>View details for {file.title}</span>
              </button>
            </div>
            <p className='pointer-events-none mt-2 block truncate text-sm font-medium text-gray-900'>
              {file.title}
            </p>
            <p className='pointer-events-none block text-sm font-medium text-gray-500'>
              By {file.by}
            </p>
          </li>
        ))}
      </ul>
    </div>
  );
}
